Ticket #25267

CSVで出力したチケットがutf-8になる

Open Date: 2011-05-26 08:41 Last Update: 2011-07-28 19:43

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
4
Resolution:
Fixed
File:
None

Details

CSVで出力したチケットがutf-8のため、Excelで文字化けする。

昔は、SJISで出力するパッチを当てていたが、trac-0.12ベースにしたときに多分外れた。 report.pyとquery.pyの

        writer.writerow([unicode(c).encode('utf-8') for c in cols
                         if c not in self._html_cols])
とかなっているところを、cp932に変更すれば多分ok。

Ticket History (3/5 Histories)

2011-05-26 08:41 Updated by: okamototk
  • New Ticket "CSVで出力したチケットがutf-8になる" created
2011-05-26 12:16 Updated by: jun66j5
Comment

Unicode BOM を付ければ Excel で化けないように出来るので trac/trunk ではそのようになりました。 t6656-utf8-bom-r10225.diff in trac, #6656 in trac

cp932 のほうがよいってことであれば、cp932 に encode 出来ない文字があるだけで UnicodeEncodeError を出すので、replace をつけたほうがよさそうです。

        writer.writerow([unicode(c).encode('cp932', 'replace') for c in cols
                         if c not in self._html_cols])

2011-05-26 13:23 Updated by: okamototk
Comment

なるほど、これですかね。

http://trac.edgewall.org/changeset/10226

trunkで修正済みなら、これに合わせた方がよさそうですね。

2011-05-28 09:55 Updated by: okamototk
  • Owner Update from (None) to okamototk
  • Resolution Update from None to Fixed
2011-07-28 19:43 Updated by: kanu
  • Ticket Close date is changed to 2011-07-28 19:43
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login